Summary: The ping program for checking to see if network hosts are alive.
Name: iputils
Version: 20000121
Release: 2
Copyright: BSD
Group: System Environment/Daemons
Source0: http://ftp.sunet.se/pub/os/Linux/ip-routing/iputils-ss000121.tar.gz
Source1: bonding-0.2.tar.gz
Patch0: ping-deadline.patch
Patch1: ping-jbj.patch
Patch2: iputils-991024.manfix
Patch3: iputils-20000121-interval.patch
Patch4: iputils-20000121-reverseDNS.patch
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root

%description
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%prep
%setup -q -n %{name} -a 1

rm -f bonding-0.2/ifenslave
mv -f bonding-0.2/README bonding-0.2/README.ifenslave

%patch0 -p1 -b .deadline
%patch1 -p1 -b .jbj
%patch2 -p1 -b .manfix
%patch3 -p1 -b .interval
%patch4 -p1 -b .reverseDNS

%build
make
make ifenslave -C bonding-0.2

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/sbin
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
install -s -c arping		${RPM_BUILD_ROOT}%{_prefix}/sbin
install -s -c clockdiff		${RPM_BUILD_ROOT}%{_prefix}/sbin
%ifos linux
install -s -c ping		${RPM_BUILD_ROOT}/bin
install -s -c bonding-0.2/ifenslave		${RPM_BUILD_ROOT}/sbin
%else
install -s -c ping		${RPM_BUILD_ROOT}%{_prefix}/sbin
install -s -c bonding-0.2/ifenslave		${RPM_BUILD_ROOT}%{_prefix}/sbin
%endif
install -s -c ping6		${RPM_BUILD_ROOT}%{_prefix}/sbin
install -s -c rdisc		${RPM_BUILD_ROOT}%{_prefix}/sbin
install -s -c tracepath		${RPM_BUILD_ROOT}%{_prefix}/sbin
install -s -c tracepath6	${RPM_BUILD_ROOT}%{_prefix}/sbin
install -s -c traceroute6	${RPM_BUILD_ROOT}%{_prefix}/sbin

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man/man8
install -c arping.8		${RPM_BUILD_ROOT}%{_prefix}/man/man8
install -c clockdiff.8		${RPM_BUILD_ROOT}%{_prefix}/man/man8
install -c in.rdisc.8c		${RPM_BUILD_ROOT}%{_prefix}/man/man8/in.rdisc.8
install -c ping.8		${RPM_BUILD_ROOT}%{_prefix}/man/man8
install -c tracepath.8		${RPM_BUILD_ROOT}%{_prefix}/man/man8

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README RELNOTES bonding*/README.ifenslave
%{_prefix}/sbin/arping
%{_prefix}/sbin/clockdiff
%ifos linux
%attr(4755,root,root)	/bin/ping
/sbin/ifenslave
%else
%attr(4755,root,root)	%{_prefix}/sbin/ping
%{_prefix}/sbin/ifenslave
%endif
%{_prefix}/sbin/ping6
%{_prefix}/sbin/tracepath
%{_prefix}/sbin/tracepath6
%{_prefix}/sbin/traceroute6
%{_prefix}/sbin/rdisc
%{_prefix}/man/man8/*

%changelog
* Sun Mar  5 2000 Jeff Johnson <jbj@redhat.com>
- include README.ifenslave doco.
- "ping -i N" was broke for N >= 3 (#9929).
- update to ss000121:
-- clockdiff: preserve raw socket errno.
-- ping: change error exit code to 1 (used to be 92,93, ...)
-- ping,ping6: if -w specified, transmit until -c limit is reached.
-- ping,ping6: exit code non-zero if some packets not received within deadline.

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- man page corrections (#9690).

* Wed Feb  9 2000 Jeff Johnson <jbj@jbj.org>
- add ifenslave.

* Thu Feb  3 2000 Elliot Lee <sopwith@redhat.com>
- List /usr/sbin/rdisc in %files list.

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- add remaining binaries.
- casts to remove compilation warnings.
- terminate if -w deadline is reached exactly (#8724).

* Fri Dec 24 1999 Jeff Johnson <jbj@redhat.com>
- create (only ping for now, traceroute et al soon).
